Bug 1021479 - Some tests from org.infinispan.statetransfer package hang on Windows and fails randomly on RHEL and Solaris
Some tests from org.infinispan.statetransfer package hang on Windows and fail...
Status: ON_QA
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER6
: ---
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 07:34 EDT by Anna Manukyan
Modified: 2014-06-05 05:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2344 Major Resolved StateTransferReplicationQueueTest.testStateTransferWithNodeRestartedAndBusy 2016-01-15 16:01 EST
JBoss Issue Tracker ISPN-3652 Major Resolved Some tests from org.infinispan.statetransfer package hang on Windows and fails randomly on RHEL and Solaris 2016-01-15 16:01 EST

  None (edit)
Description Anna Manukyan 2013-10-21 07:34:45 EDT
Find the info here: https://issues.jboss.org/browse/ISPN-3652
Comment 2 JBoss JIRA Server 2013-12-09 09:51:43 EST
Jiří Holuša <jholusa@redhat.com> made a comment on jira ISPN-3652

The following tests hanged on Windows 2012 JDK6:
org.infinispan.statetransfer.StateTransferReplicationQueueTest.testStateTransferWithNodeRestartedAndBusy 

These tests hanged on Windows 2008 JDK6:
org.infinispan.statetransfer.ClusterTopologyManagerTest.testClusterRecoveryWithRebalance
org.infinispan.statetransfer.StateTransferReplicationQueueTest.testStateTransferWithNodeRestartedAndBusy

Stacktrace:
org.infinispan.commons.CacheException: Unable to invoke method public void org.infinispan.statetransfer.StateTransferManagerImpl.start() throws java.lang.Exception on object of type StateTransferManagerImpl
	at org.infinispan.commons.util.ReflectionUtil.invokeAccessibly(ReflectionUtil.java:185)
	at org.infinispan.factories.AbstractComponentRegistry$PrioritizedMethod.invoke(AbstractComponentRegistry.java:869)
	at org.infinispan.factories.AbstractComponentRegistry.invokeStartMethods(AbstractComponentRegistry.java:638)
	at org.infinispan.factories.AbstractComponentRegistry.internalStart(AbstractComponentRegistry.java:627)
	at org.infinispan.factories.AbstractComponentRegistry.start(AbstractComponentRegistry.java:530)
	at org.infinispan.factories.ComponentRegistry.start(ComponentRegistry.java:216)
	at org.infinispan.CacheImpl.start(CacheImpl.java:666)
	at org.infinispan.manager.DefaultCacheManager.wireAndStartCache(DefaultCacheManager.java:551)
	at org.infinispan.manager.DefaultCacheManager.createCache(DefaultCacheManager.java:514)
	at org.infinispan.manager.DefaultCacheManager.getCache(DefaultCacheManager.java:396)
	at org.infinispan.statetransfer.StateTransferReplicationQueueTest.thirdWritingCacheTest(StateTransferReplicationQueueTest.java:101)
	at org.infinispan.statetransfer.StateTransferReplicationQueueTest.testStateTransferWithNodeRestartedAndBusy(StateTransferReplicationQueueTest.java:81)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:715)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:907)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1237)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918)
	at java.lang.Thread.run(Thread.java:662)
Caused by: org.infinispan.util.concurrent.TimeoutException: Node StateTransferReplicationQueueTest-NodeA-25090 timed out
	at org.infinispan.remoting.transport.jgroups.CommandAwareRpcDispatcher.invokeRemoteCommand(CommandAwareRpcDispatcher.java:174)
	at org.infinispan.remoting.transport.jgroups.JGroupsTransport.invokeRemotely(JGroupsTransport.java:521)
	at org.infinispan.topology.LocalTopologyManagerImpl.executeOnCoordinator(LocalTopologyManagerImpl.java:287)
	at org.infinispan.topology.LocalTopologyManagerImpl.join(LocalTopologyManagerImpl.java:100)
	at org.infinispan.statetransfer.StateTransferManagerImpl.start(StateTransferManagerImpl.java:97)
	at sun.reflect.GeneratedMethodAccessor135.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.infinispan.commons.util.ReflectionUtil.invokeAccessibly(ReflectionUtil.java:183)
	... 32 more
Caused by: org.jgroups.TimeoutException: TimeoutException
	at org.jgroups.util.Promise._getResultWithTimeout(Promise.java:145)
	at org.jgroups.util.Promise.getResultWithTimeout(Promise.java:40)
	at org.jgroups.util.AckCollector.waitForAllAcks(AckCollector.java:93)
	at org.jgroups.protocols.RSVP$Entry.block(RSVP.java:321)
	at org.jgroups.protocols.RSVP.down(RSVP.java:117)
	at org.jgroups.stack.ProtocolStack.down(ProtocolStack.java:1024)
	at org.jgroups.JChannel.down(JChannel.java:760)
	at org.jgroups.blocks.MessageDispatcher$ProtocolAdapter.down(MessageDispatcher.java:683)
	at org.jgroups.blocks.RequestCorrelator.sendUnicastRequest(RequestCorrelator.java:202)
	at org.jgroups.blocks.UnicastRequest.sendRequest(UnicastRequest.java:43)
	at org.jgroups.blocks.Request.execute(Request.java:83)
	at org.jgroups.blocks.MessageDispatcher.sendMessage(MessageDispatcher.java:399)
	at org.infinispan.remoting.transport.jgroups.CommandAwareRpcDispatcher.processSingleCall(CommandAwareRpcDispatcher.java:353)
	at org.infinispan.remoting.transport.jgroups.CommandAwareRpcDispatcher.invokeRemoteCommand(CommandAwareRpcDispatcher.java:167)
	... 40 more
Comment 3 JBoss JIRA Server 2013-12-10 02:44:45 EST
Vojtech Juranek <vjuranek@redhat.com> made a comment on jira ISPN-3652

Test {{StateTransferReplicationQueueTest.testStateTransferWithNodeRestartedAndBusy}} fails very often also on Solaris, stack trace:
{noformat}
java.lang.AssertionError
	at org.infinispan.statetransfer.StateTransferReplicationQueueTest.thirdWritingCacheTest(StateTransferReplicationQueueTest.java:119)
	at org.infinispan.statetransfer.StateTransferReplicationQueueTest.testStateTransferWithNodeRestartedAndBusy(StateTransferReplicationQueueTest.java:81)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:715)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:907)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1237)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918)
	at java.lang.Thread.run(Thread.java:662)
{noformat}

Full stdout can be found e.g. here:
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-solaris/128/USE_JDK=JDK6,jdk=java17_default,label=sol11_sparc64/testReport/junit/org.infinispan.statetransfer/StateTransferReplicationQueueTest/testStateTransferWithNodeRestartedAndBusy/
Comment 4 JBoss JIRA Server 2013-12-19 05:14:37 EST
Vitalii Chepeliuk <vchepeli@redhat.com> updated the status of jira ISPN-2344 to Reopened
Comment 5 JBoss JIRA Server 2014-05-16 12:53:48 EDT
Dan Berindei <dberinde@redhat.com> updated the status of jira ISPN-3652 to Resolved
Comment 6 JBoss JIRA Server 2014-05-16 12:55:28 EDT
Dan Berindei <dberinde@redhat.com> updated the status of jira ISPN-2344 to Resolved

Note You need to log in before you can comment on or make changes to this bug.